Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78049 - fail-over interface not been removed
Summary: fail-over interface not been removed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: piranha
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 14:41 UTC by Sébastien BONNET
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-18 14:41:49 UTC


Attachments (Terms of Use)

Description Sébastien BONNET 2002-11-18 14:41:42 UTC
Description of Problem:
It sometimes happens that a fail-over interface is not removed when pulse is 
stopped ("ifconfig ethN:X down" not run). This can create BIG problems when 
running with both a master and a backup director (resulting in having the VIP 
on both directors).

Version-Release number of selected component (if applicable):
piranha 0.7.0-3

How Reproducible:
In my setup it was quite often, but it could be just 1 time out of 100 :(

Steps to Reproduce:
1. pulse -v -c /etc/sysconfig/ha/lvs.cf
2. wait a few seconds
3. service pulse stop
4. ifconfig might show the VIP whereas it should not

Actual Results:
VIP configured on director whereas service not running, or worse, running on 
backup director.

Expected Results:
VIP removed when pulse stoppped.

Additional Information:
The problem *seems* to be in pulse.c, in function deactivateFos. Swapping the 
HA_process termination and the VIP cleanup *seems* to be a fix. But not a real 
explaination :(

Comment 1 Mike McLean 2002-11-25 15:59:01 UTC
Piranha's FOS functionality (though not piranha itself) is slated for removal. 
There are much better two node failover solutions out there, notably Red Hat
Cluster Manager.


Note You need to log in before you can comment on or make changes to this bug.